#ifndef CORE_H
  #define CORE_H

  #include <QObject>
  #include "thread.h"

  #define CORE_USE_THREAD


  class Core: public QObject
    {
      Q_OBJECT
    public:
      explicit Core(QObject *parent=0);

    signals:
      void quit(void);

    private slots:
      void run(void);
      void workerResult(const Ticket &ticket,const CustomNumber &r);

    private:
      AbstractWorker *m_worker;

      QList<Ticket> m_ticket_list;

    };

#endif // CORE_H
