#ifndef THREAD_H
  #define THREAD_H

  #include <QThread>
  #include "abstractworker.h"
  #include "worker.h"

  class Thread: public AbstractWorker
    {
      Q_OBJECT
    public:
      explicit Thread(QObject *parent=0);
      virtual ~Thread();

    public slots:
      virtual void average(const Ticket &ticket,const CustomNumber &a,const CustomNumber &b);

    private:
      QThread *m_thread;
      Worker *m_worker;

    };

#endif // THREAD_H
