#include "ticket.h"

Ticket::Ticket()
  {
  m_index=TicketGenerator::generateIndex();
  }

Ticket::Ticket(const Ticket &other)
  {
  m_index=other.m_index;
  }

quint64 Ticket::index(void) const
  {
  return(m_index);
  }


Ticket &Ticket::operator=(const Ticket &other)
  {
  if(this!=&other)
    {
    m_index=other.m_index;
    }
  return(*this);
  }

bool Ticket::operator==(const Ticket &other) const
  {
  if(m_index!=other.m_index) return(false);
  return(true);
  }

bool Ticket::operator!=(const Ticket &other) const
  {
  return(!operator==(other));
  }


void Ticket::registerMetaType(void)
  {
  if(!QMetaType::type("Ticket"))
    {
    qRegisterMetaType<Ticket>("Ticket");
    }
  }
