#ifndef TICKETGENERATOR_H
  #define TICKETGENERATOR_H

  #include <QtGlobal>
  #include <QMutex>

  class TicketGenerator
    {
    public:
      static quint64 generateIndex(void);

    private:
      static quint64 m_index_counter;
      static QMutex m_index_counter_mutex;
    };

#endif // TICKETGENERATOR_H
