#include "worker.h"

Worker::Worker(QObject *parent):
  AbstractWorker(parent)
  {
  }

void Worker::average(const Ticket &ticket,const CustomNumber &a,const CustomNumber &b)
  {
  QElapsedTimer timer;
  QTextStream stream(stdout);
  CustomNumber r;


  stream << "Worker thread: " << this->thread() << "\n";
  stream.flush();

  timer.start();
  while(timer.elapsed()<1000);

  r.setValue((a.value()+b.value())/2);
  r.setString(QString("average(%1,%2)").arg(a.string()).arg(b.string()));

  emit result(ticket,r);
  }
  
