#ifndef ABSTRACTWORKER_H
  #define ABSTRACTWORKER_H

  #include <QObject>
  #include "ticket.h"
  #include "customnumber.h"

  class AbstractWorker: public QObject
    {
      Q_OBJECT
    public:
      explicit AbstractWorker(QObject *parent=0);

    signals:
      void result(const Ticket &ticket,const CustomNumber &r);

    public slots:
      virtual void average(const Ticket &ticket,const CustomNumber &a,const CustomNumber &b)=0;
    };

#endif // ABSTRACTWORKER_H
