#include "customnumber.h"

CustomNumber::CustomNumber(const QString &string,quint32 value)
  {
  m_string=string;
  m_value=value;
  }

CustomNumber::CustomNumber(const CustomNumber &other)
  {
  m_string=other.m_string;
  m_value=other.m_value;
  }

CustomNumber::~CustomNumber()
  {
  }

QString CustomNumber::string(void) const
  {
  return(m_string);
  }

void CustomNumber::setString(const QString &string)
  {
  m_string=string;
  }

quint32 CustomNumber::value(void) const
  {
  return(m_value);
  }

void CustomNumber::setValue(quint32 value)
  {
  m_value=value;
  }

CustomNumber &CustomNumber::operator=(const CustomNumber &other)
  {
  if(this!=&other)
    {
    m_string=other.m_string;
    m_value=other.m_value;
    }
  return(*this);
  }

bool CustomNumber::operator==(const CustomNumber &other) const
  {
  if(m_string!=other.m_string) return(false);
  if(m_value!=other.m_value) return(false);

  return(true);
  }

bool CustomNumber::operator!=(const CustomNumber &other) const
  {
  return(!operator==(other));
  }

void CustomNumber::registerMetaType(void)
  {
  if(!QMetaType::type("CustomNumber"))
    {
    qRegisterMetaType<CustomNumber>("CustomNumber");
    }
  }
