#ifndef TICKET_H
  #define TICKET_H

  #include <QtGlobal>
  #include <QMetaType>
  #include "ticketgenerator.h"

  class Ticket
    {
    public:
      Ticket();
      Ticket(const Ticket &other);

      quint64 index(void) const;

      Ticket &operator=(const Ticket &other);
      bool operator==(const Ticket &other) const;
      bool operator!=(const Ticket &other) const;

    public:
      static void registerMetaType(void);

    private:
      quint64 m_index;
    };


  Q_DECLARE_METATYPE(Ticket)

#endif // TICKET_H
